//
// Computergraphik II
// Prof. Dr. Juergen Doellner
// Wintersemester 2001/02
// 
// Rahmenprogramm zu Aufgabenzettel 9
//

#ifndef CG_CONTOUR_H
#define CG_CONTOUR_H

#include "cgapplication.h"

class CGContour : public CGApplication {
public:
    CGContour();
    virtual ~CGContour();

    virtual void onInit();
    virtual void onDraw();        
    virtual void onIdle();
    virtual void onKey(unsigned char key);    
    virtual void onSize(unsigned int newWidth, unsigned int newHeight);
    
    void createTexture();
private: 

    void drawScene();
	void drawFunction();

    // dimension of viewport
    int width_;
    int height_;

    double zoom_;

	enum { TEXTURE_SIZE = 32 };
	GLubyte image_[TEXTURE_SIZE*3];
	GLuint texName_;

	bool normals_;
	bool run_;
	bool light0_, light1_;
};

#endif 

